#!/bin/bash

INSTALL_DIR=$(pwd)

echo 'Kopia została utworzona w lokalizacji '$INSTALL_DIR/backup_conf''

mkdir backup_conf
mkdir backup_conf/apache2
mkdir backup_conf/apache2/conf-available
mkdir backup_conf/cli
mkdir backup_conf/fpm
mkdir backup_conf/fpm/pool.d
mkdir backup_conf/redis
mkdir backup_conf/pgbouncer
mkdir backup_conf/postgresql


echo "Kopia plików konfiguracyjnych Apache"
   
    cp -r /etc/apache2/sites-available/ $INSTALL_DIR'/backup_conf/apache2/sites-available/' 
    cp -p /etc/apache2/apache2.conf $INSTALL_DIR'/backup_conf/apache2/' 
	cp -p /etc/apache2/conf-available/security.conf $INSTALL_DIR'/backup_conf/apache2/conf-available/' 
	

echo "Kopia plików konfiguracyjnych PHP"	
    # Konfiguracja PHP/FPM
    cp -p /etc/php/7.2/cli/php.ini $INSTALL_DIR'/backup_conf/cli/' 
	cp -p /etc/php/7.2/fpm/php.ini $INSTALL_DIR'/backup_conf/fpm/' 
	cp -p /etc/php/7.2/fpm/pool.d/www.conf $INSTALL_DIR'/backup_conf/fpm/pool.d/' 

echo "Kopia plików konfiguracyjnych Redis"	
	#Konfiguracja php-redis
    cp -p /etc/redis/redis.conf $INSTALL_DIR'/backup_conf/redis/' 

echo "Kopia plików konfiguracyjnych pgbouncer"
	#Konfiguracja pgbouncer
    cp -p /etc/pgbouncer/pgbouncer.ini $INSTALL_DIR'/backup_conf/pgbouncer/' 
    cp -p /etc/pgbouncer/userlist.txt $INSTALL_DIR'/backup_conf/pgbouncer/' 
	
echo "Kopia plików PostgreSQL - pg_hba.conf"
	cp -p /etc/postgresql/11/main/pg_hba.conf $INSTALL_DIR'/backup_conf/postgresql/' 

