#!/bin/bash

#Tworzenie katalogow
echo "Utworzenie folderow w /home/edokumenty/"
cd /home/edokumenty
mkdir public_html
mkdir repos
mkdir repository
mkdir maildir
mkdir files
mkdir public_ftp
mkdir users
mkdir vendor
mkdir public_html/apps
mkdir public_html/apps/backproc
mkdir public_html/apps/backproc/data
mkdir public_html/apps/backproc/logs
mkdir public_html/apps/backproc/pid
mkdir public_html/apps/edokumenty
mkdir public_html/apps/edokumenty/scripts
mkdir public_html/apps/edokumenty/scripts/FileIndexingTool

echo "Nadanie uprawenień do utworzonych folderow"
#Uprawnienia do katalogow systemu
chown -R edokumenty:users public_html
chown -R edokumenty:users vendor

# Jeśli dodatkowo nieprawidłowo ustawione są uprawnienia do plików w repozytorium
chown -R www-data:edokumenty files maildir repository repos public_ftp users
chmod -R u+rwX,g+rwX,o-rwx files maildir repository repos public_ftp users

# Ustaw uprawnienia dla podkatalogów katalogu backproc
cd /home/edokumenty/public_html/apps/backproc
chown -R www-data:edokumenty data logs pid
chmod -R u+rwX,g+rwXs,o-rwx data logs pid