#!/bin/bash

# konfiguracja iptables przy uruchamianiu interfejsow (Debian)
# np. /etc/network/interfaces
# auto eth0
# iface eth0 inet dhcp
#	pre-up /etc/network/iptables.deb_rc.sh $IFACE $IF_ADDRESS
#

/sbin/iptables -P INPUT DROP
/sbin/iptables -P FORWARD DROP

/sbin/iptables -A INPUT -i lo -j ACCEPT
/sbin/iptables -A INPUT -m state --state ESTABLISHED,RELATED -j ACCEPT
/sbin/iptables -A INPUT -p icmp --icmp-type 8 -j ACCEPT

for PORT in 22 25 80 443 6000
do
    /sbin/iptables -A INPUT -i $IFACE -p tcp -m state --state NEW -d $IF_ADDRESS --dport $PORT -j ACCEPT
done
